class Action < ApplicationRecord
  belongs_to :batch
  belongs_to :actionable, polymorphic: true

  def render
    case actionable
    when Execution
      %(#{actionable.command.name} #{actionable.value})
    else
      to_s
    end
  end
end
