class Setup < ApplicationRecord
  has_many :key_binds
  has_many :wheels
  has_many :menus
  has_many :input_devices

  def render
    key_binds.collect { |key_bind|
      %(alias batch#{id} \"#{key_bind.batch.render}\"\nbind #{key_bind.key.ingame} batch#{id})
    }.join("\n")
  end
end
